<div class="grid-container">
    <h1 class="mat-h1"></h1>
    <mat-grid-list cols="3" rowHeight="294">
        <mat-grid-tile
                *ngFor="let card of cards | async"
                [colspan]="card.cols"
                [rowspan]="card.rows"
        >
            <mat-card class="dashboard-card">
                <mat-card-header>
                    <mat-card-title>
                        {{ card.title }}
                    </mat-card-title>
                </mat-card-header>
                <mat-card-content class="dashboard-card-content">
                    <mat-grid-list cols={{card.testSuites.length+1}} rowHeight="200px">
                        <mat-grid-tile>
                            <table class="full-width-table result-table-legend">
                                <tr>
                                    <th class="mat-header-cell" colspan="1">Test set:</th>
                                </tr>
                                <tr>
                                    <td>Status:</td>
                                </tr>
                                <tr>
                                    <td>Tests:</td>
                                </tr>
                                <tr>
                                    <td>Passed:</td>
                                </tr>
                                <tr>
                                    <td>Failed:</td>
                                </tr>
                                <tr>
                                    <td>Skipped:</td>
                                </tr>
                                <tr>
                                    <td>Environment:</td>
                                </tr>
                                <tr>
                                    <td>Last run:</td>
                                </tr>
                            </table>
                        </mat-grid-tile>
                        <mat-grid-tile *ngFor="let testSuite of card.testSuites">
                            <app-result-table
                                    class="full-width-table"
                                    projectName="{{ testSuite.name }}"
                                    reportUrl="{{ testSuite.url }}"
                                    dataSet="{{ testSuite.dataSet }}"
                            ></app-result-table>
                        </mat-grid-tile>
                    </mat-grid-list>
                </mat-card-content>
            </mat-card>
        </mat-grid-tile>
    </mat-grid-list>
</div>
